---
title: GamepadHapticActuator
slug: Web/API/GamepadHapticActuator
tags:
  - API
  - Experimental
  - Gamepad
  - GamepadHapticActuator
  - Interface
  - Reference
  - VR
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("Gamepad API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>GamepadHapticActuator</code></strong> interface of the <a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a> represents hardware in the controller designed to provide haptic feedback to the user (if available), most commonly vibration hardware.</p>

<p>This interface is accessible through the {{domxref("Gamepad.hapticActuators")}} property.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("GamepadHapticActuator.type")}} {{readonlyInline}}</dt>
 <dd>Returns an enum representing the type of the haptic hardware.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("GamepadHapticActuator.pulse()")}} {{readonlyInline}}</dt>
 <dd>Makes the hardware pulse at a certain intensity for a specified duration.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#gamepadhapticactuator-interface', 'GamepadHapticActuator')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadHapticActuator")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
